org.fourthline.cling.model.gena

## Class RemoteGENASubscription

- java.lang.Object
- - org.fourthline.cling.model.gena.GENASubscription<RemoteService>
  - - org.fourthline.cling.model.gena.RemoteGENASubscription

-     public abstract class RemoteGENASubscription
      extends GENASubscription<RemoteService>

  An outgoing subscription to a remote service.

  Once established, calls its `GENASubscription.eventReceived()` method whenever an event has been received from the remote service.

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PropertyChangeSupport` | `propertyChangeSupport`

    - ### Fields inherited from class org.fourthline.cling.model.gena.GENASubscription

      `actualDurationSeconds, currentSequence, currentValues, requestedDurationSeconds, service, subscriptionId`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RemoteGENASubscription(RemoteService service, int requestedDurationSeconds)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end(CancelReason reason, UpnpResponse response)`
    `abstract void` | `ended(CancelReason reason, UpnpResponse responseStatus)`
    `void` | `establish()`
    `abstract void` | `eventsMissed(int numberOfMissedEvents)`
    `void` | `fail(UpnpResponse responseStatus)`
    `abstract void` | `failed(UpnpResponse responseStatus)`
    `List<URL>` | `getEventCallbackURLs(List<NetworkAddress> activeStreamServers, Namespace namespace)`
    `URL` | `getEventSubscriptionURL()`
    `abstract void` | `invalidMessage(UnsupportedDataException ex)`
    `void` | `receive(UnsignedIntegerFourBytes sequence, Collection<StateVariableValue> newValues)`
    `String` | `toString()`

    - ### Methods inherited from class org.fourthline.cling.model.gena.GENASubscription

      `established, eventReceived, getActualDurationSeconds, getCurrentSequence, getCurrentValues, getRequestedDurationSeconds, getService, getSubscriptionId, setActualSubscriptionDurationSeconds, setSubscriptionId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### propertyChangeSupport

          protected PropertyChangeSupport propertyChangeSupport

  - ### Constructor Detail

    - #### RemoteGENASubscription

          protected RemoteGENASubscription(RemoteService service,
                                int requestedDurationSeconds)

  - ### Method Detail

    - #### getEventSubscriptionURL

          public URL getEventSubscriptionURL()

    - #### getEventCallbackURLs

          public List<URL> getEventCallbackURLs(List<NetworkAddress> activeStreamServers,
                                       Namespace namespace)

    - #### establish

          public void establish()

    - #### fail

          public void fail(UpnpResponse responseStatus)

    - #### end

          public void end(CancelReason reason,
                 UpnpResponse response)

    - #### receive

          public void receive(UnsignedIntegerFourBytes sequence,
                     Collection<StateVariableValue> newValues)

    - #### invalidMessage

          public abstract void invalidMessage(UnsupportedDataException ex)

    - #### failed

          public abstract void failed(UpnpResponse responseStatus)

    - #### ended

          public abstract void ended(CancelReason reason,
                   UpnpResponse responseStatus)

    - #### eventsMissed

          public abstract void eventsMissed(int numberOfMissedEvents)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `GENASubscription<RemoteService>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.